CognitiveX Docs
API

GET /api/orgs

List Orgs

GET /api/orgs

List Orgs

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Example request

curl -X GET https://api.cognitivx.io/api/orgs \
  -H "Authorization: Bearer icog_..."

Example response

200 application/json

[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "production",
    "slug": "string",
    "owner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "logo_url": "https://example.com",
    "role": null,
    "seats_purchased": 1,
    "seats_used": null,
    "subscription_status": "ok",
    "subscription_interval": null,
    "github_org_login": null,
    "created_at": "2026-06-16T08:30:00Z"
  }
]

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.